unit uRabatt;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    BestellEin: TEdit;
    Label1: TLabel;
    RechnungAus: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Berechne: TButton;
    procedure BerechneClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BerechneClick(Sender: TObject);
const p = 0.02;
var bestellwert : real;
begin
  bestellwert := strtofloat(BestellEin.text);
  if bestellwert >=100
  then
    begin
      bestellwert := (1-p)*bestellwert;
      bestellwert := round(bestellwert*100)/100;
    end;
  RechnungAus.text := floattostr(bestellwert);  
end;

end.
